Timekit developers

GET /events

Retrieve events for the authenticated user/resource, across every calendar.

If you want events for a particular calendar, you can call [GET] /calendars?include=events and get events grouped by which calendar they belong to.

Endpoint

GET https://api.timekit.io/v2/events

Parameters

Name In Type Required Default Description
start query timestamp yes Start date to get events from
end query timestamp yes End date to get events to
include query string Available includes: participants

Request examples

curl
curl -X GET \
		 -H 'Timekit-App: back-to-the-future' \
     -u doc.brown@timekit.io:nvHfRSlhvsnlg4rS7Wt28Ty47qdgegwSu3YK7hPW \
     https://api.timekit.io/v2/events

Response examples

200

json
{
	"data": [
    {
      "id": "31c354d2-7249-4877-b9b7-d076e8e4b676",
      "start": "1955-11-12T21:30:00-07:00",
      "end": "1955-11-12T22:15:00-07:00",
      "what": "Catch the lightning",
      "where": "Courthouse, Hill Valley, CA 95420, USA",
      "calendar_id": "bfa0b9fa-36aa-4ae6-8096-f3b20fbed1d2",
      "allDay": false,
      "description": "The lightning strikes at 10:04 PM exactly! I need you to be there Doc!."
    },
    {
      "id": "8d30b27e-ffd3-4b41-a7c0-da334d4ebbdd",
      "start": "1955-11-05T09:30:00-07:00",
      "end": "1955-11-05T09:45:00-07:00",
      "what": "Deliver the Pacard to the auto shop",
      "where": "Western Auto Store, Hill Valley, CA 95420, USA",
      "calendar_id": "c91c5d04-2a57-46c0-ab35-e489dadf132e",
      "allDay": false,
      "description": "The clutch needs tightening",
    }    
  ]
}

422

json
{
  "errors": {
    "start": [
      "The start field is required."
    ],
    "end": [
      "The end field is required."
    ]
  }
}